Page 1 of 1

m_drivexc.F90:1972: internal compiler error: Segmentation f  [SOLVED]

PostPosted: Mon Feb 11, 2019 2:18 pm
by longbowman
abinit-8.10.2


./configure --enable-mpi --with-mpi-level=2 FC=mpif90 CC=mpicc CXX=mpicxx --with-linalg-libs="-llapack -lblas"

checking whether to enable OpenMP support... no
checking whether to build MPI code... yes
checking whether the C compiler supports MPI... yes
checking whether the C++ compiler supports MPI... yes
checking whether the Fortran Compiler supports MPI... yes
checking whether MPI is usable... yes
checking whether to build MPI I/O code... auto
checking which level of MPI is supported by the Fortran compiler... 2

if I make

Making all in 41_xc_lowlevel
make[3]: Entering directory `/home/ivan/build/abinit-8.10.2/src/41_xc_lowlevel'
mpif90 -DHAVE_CONFIG_H -I. -I../.. -I../../src/16_hideleave -I../../src/16_hideleave -I../../src/10_defs -I../../src/10_defs -I../../src/14_hidewrite -I../../src/14_hidewrite -I../../src/28_numeric_noabirule -I../../src/28_numeric_noabirule -I../../src/incs -I../../src/incs -I/home/ivan/build/abinit-8.10.2/fallbacks/exports/include -ffree-form -J/home/ivan/build/abinit-8.10.2/src/mods -O2 -mtune=native -march=native -g -ffree-line-length-none -c -o m_drivexc.o m_drivexc.F90
m_drivexc.F90: In function ‘drivexc’:
m_drivexc.F90:1972: internal compiler error: Segmentation fault

Re: m_drivexc.F90:1972: internal compiler error: Segmentatio

PostPosted: Mon Feb 11, 2019 4:29 pm
by ebousquet
Dear longbowman,
Please write sentences to help us understand what is your problem, there is not enough information in your post...
Eric

Re: m_drivexc.F90:1972: internal compiler error: Segmentatio

PostPosted: Mon Feb 11, 2019 9:59 pm
by jbeuken
Hi,

Code: Select all
--with-linalg-libs="-llapack -lblas"

this is not correct...
you forgot "-L" = the path where to find the libs ...
something like that :
Code: Select all
--with-linalg-libs="-L/usr/lib/ -llapack -lblas"


--with-mpi-level=2

95% of the time, this is not necessary...

if the installation of mpi is "standard", "--enable-mpi" is enough
otherwise, use
Code: Select all
--with-mpi-prefix="/the/path/where/mpi/is/installed"


last but not least : https://docs.abinit.org/installation/

jmb

Re: m_drivexc.F90:1972: internal compiler error: Segmentatio

PostPosted: Tue Feb 12, 2019 10:03 am
by longbowman
ebousquet wrote:Dear longbowman,
Please write sentences to help us understand what is your problem, there is not enough information in your post...
Eric


I tried to install aninit 8.10.2
When building both serial and parallel versions on stage "Making all in 41_xc_lowlevel" gives an error

I used ./configure --enable-mpi FC=mpif90 CC=mpicc CXX=mpicxx for mpi version
and ./configure for serial version

error if serial:

gfortran -DHAVE_CONFIG_H -I. -I../.. -I../../src/16_hideleave -I../../src/16_hideleave -I../../src/10_defs -I../../src/10_defs -I../../src/14_hidewrite -I../../src/14_hidewrite -I../../src/28_numeric_noabirule -I../../src/28_numeric_noabirule -I../../src/incs -I../../src/incs -I/home/ivan/build/abinit-8.10.2/fallbacks/exports/include -ffree-form -J/home/ivan/build/abinit-8.10.2/src/mods -O2 -mtune=native -march=native -g -ffree-line-length-none -c -o m_drivexc.o m_drivexc.F90
m_drivexc.F90: In function ‘drivexc’:
m_drivexc.F90:1972: internal compiler error: Segmentation fault

for serial version
Summary of important options:

* C compiler : gnu version 4.4
* Fortran compiler: gnu version 4.4
* architecture : intel xeon (64 bits)

* debugging : basic
* optimizations : standard

* OpenMP enabled : no (collapse: ignored)
* MPI enabled : no
* MPI-IO enabled : no
* GPU enabled : no (flavor: none)

* TRIO flavor = none
* TIMER flavor = abinit (libs: ignored)
* LINALG flavor = netlib-fallback (libs: ignored)
* ALGO flavor = none (libs: ignored)
* FFT flavor = none (libs: ignored)
* MATH flavor = none (libs: ignored)
* DFT flavor = none

Re: m_drivexc.F90:1972: internal compiler error: Segmentatio

PostPosted: Tue Feb 12, 2019 12:38 pm
by jbeuken
in ~abinit/KNOWN_PROBLEMS

Status, for the different versions of compilers that are supported (or might become soon).

GNU Fortran compiler (presently tested : v4.9, v5.3, v5.4, v6.3, v6.4, v6.5, v7.2, v7.3, v8.2)
All are mostly OK


gcc 4.4 is no more supported

jmb

Re: m_drivexc.F90:1972: internal compiler error: Segmentatio

PostPosted: Thu Feb 14, 2019 9:19 am
by longbowman
jbeuken wrote:in ~abinit/KNOWN_PROBLEMS

Status, for the different versions of compilers that are supported (or might become soon).

GNU Fortran compiler (presently tested : v4.9, v5.3, v5.4, v6.3, v6.4, v6.5, v7.2, v7.3, v8.2)
All are mostly OK


gcc 4.4 is no more supported

jmb



Thanks with GCC version 8.2-works